curl --request GET \
--url 'https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key='import requests
url = "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"asset": "btc",
"time": "2021-06-08T11:48:21.000000000Z",
"feerates": [
{
"feerate": "1",
"count": "123",
"consensus_size": "512",
"physical_size": "128",
"fees": "0.09"
},
{
"feerate": "3",
"count": "12",
"consensus_size": "2048",
"physical_size": "1152",
"fees": "0.003"
}
]
}
],
"next_page_token": "MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=<your_key>&assets=btc&pretty=true&page_size=1&paging_from=start&next_page_token=MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8"
}Mempool feerates (deprecated)
Returns mempool feerates for the specified assets.
This endpoint is useful for those who want to explore the history of the feerate distribution and potentially select the time period with the lowest commissions.
Results are ordered by (asset, time).
To fetch the next page of results use the next_page_url JSON response field.
curl --request GET \
--url 'https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key='import requests
url = "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"asset": "btc",
"time": "2021-06-08T11:48:21.000000000Z",
"feerates": [
{
"feerate": "1",
"count": "123",
"consensus_size": "512",
"physical_size": "128",
"fees": "0.09"
},
{
"feerate": "3",
"count": "12",
"consensus_size": "2048",
"physical_size": "1152",
"fees": "0.003"
}
]
}
],
"next_page_token": "MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/mempool-feerates?api_key=<your_key>&assets=btc&pretty=true&page_size=1&paging_from=start&next_page_token=MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

